Subject: bug#61658: 30.0.50; server-eval-at might handle unreadable results better

From: Sean Whitton <[email-masked]>
Date: Sat, 11 Mar 2023 11:48:42 -0700

Hello,

On Thu 09 Mar 2023 at 10:40AM +01, Robert Pluim wrote:

>>>>>> On Wed, 08 Mar 2023 17:10:51 -0700, Sean Whitton <[email-masked]> said:
>
>     Sean> Hello,
>     Sean> Now implemented.  Doesn't seem to me like a NEWS entry is warranted, but
>     Sean> if anyone strongly disagrees I can write one.
>
> It changes the possible behaviour of a public function, so I think it
> is warranted (and I have some comments on the docstrings, but Iʼll
> address those separately).

But the new condition is a subtype of the old one, so it's a fully
backwards-compatible change to the behaviour.  Indeed, barely a change.
Does anyone else have any intuitions about this?

-- 
Sean Whitton